# Enable Permissions

[![GitHub release](https://img.shields.io/badge/release-v1.0.0-brightgreen)](https://gitlab.com/Mouad.Bourbian/enable-permissions/-/releases/v1.0.0) &nbsp; [![License](https://img.shields.io/badge/license-MIT-blue.svg)](LICENSE)

<br>

<img src="./images/logo/enable_permissions_logo.png" alt="logo" width="128" height="128">

<br>

## Table of Contents

[TOC]

<br>

## Description

This Chrome extension allows users to easily enable specific permissions on web pages, providing more control over the browsing experience.

## Installation

1. Download the extension files.
2. Open Chrome and navigate to `chrome://extensions/`.
3. Enable "**Developer mode**" in the top right corner.
4. Click on "**Load unpacked**" and select the folder containing the extension files.

## Support

Although the development of this extension may not continue, I'm always happy to receive feedback and suggestions for improvement. Please feel free to share your thoughts.

For any issues or questions, feel free to [open an issue](https://gitlab.com/Mouad.Bourbian/enable-permissions/-/issues).

### Compatibility

This extension is compatible with Chrome-based browsers and uses Manifest Version 3.

This extension has been tested on the following browsers:

| **Logo**              | ![Google Chrome](./images/logo/brand_logo/chrome_logo.png) | ![Opera](./images/logo/brand_logo/opera_logo.png) | ![Microsoft Edge](./images/logo/brand_logo/edge_logo.png)                   | ![Brave](./images/logo/brand_logo/brave_logo.png) |
| --------------------- | ---------------------------------------------------------- | ------------------------------------------------- | --------------------------------------------------------------------------- | ------------------------------------------------- |
| **Name**              | [Google Chrome](https://www.google.com/intl/en_us/chrome/) | [Opera](https://www.opera.com/)                   | [Microsoft Edge](https://www.microsoft.com/en-us/edge/download?form=MA13FJ) | [Brave](https://brave.com/)                       |
| **Version**           | 120.0                                                      | 105.0                                             | 118.0                                                                       | 1.61.100                                          |
| **Date** [DD-MM-YYYY] | 05.12.2023                                                 | 05.12.2023                                        | 06.11.2023                                                                  | 12.11.2023                                        |

### FAQ

**Q: What permissions can I enable with this extension?** <br>
A: The extension currently supports enabling the following permissions:
   - Allowing copy and paste.
   - Allowing right-click context menu.
   - Enabling text selection.

## Limitations

This extension may not work on all websites, especially those that use advanced techniques. 

Furthermore, I do not guarantee that the Chrome extension complies with safety standards.

## LICENSE

This extension is released under the MIT License. See [LICENSE](LICENSE) for details.

## Source

- [re-enable right click - Stack Overflow](https://stackoverflow.com/questions/21335136/how-to-re-enable-right-click-so-that-i-can-inspect-html-elements-in-chrome)
- [re-enable copy and paste - GitHub](https://gist.github.com/Gustavo-Kuze/32959786ce55b2c3751629e40c75c935)
- [re-enable selecting - Super User](https://superuser.com/questions/1282718/how-do-websites-block-selecting-text-and-how-do-i-unblock-that)
